import React, { ReactNode } from "react";
export interface DropdownProps {
    children: ReactNode;
    containerRef?: React.RefObject<HTMLElement>;
    onClose: () => void;
    open?: boolean;
    overflow?: "auto" | "visible";
    setOpen: (open: boolean) => void;
    width?: number;
    positioning?: "fixed" | "absolute";
}
declare const Dropdown: React.FC<DropdownProps>;
export default Dropdown;
