import { RefObject } from "react";
import TableRowType from "../../types/TableRow";
import { Pinned } from "../../types/Pinned";
import HeaderObject from "../../types/HeaderObject";
import ColumnIndices from "../../types/ColumnIndices";
import RowIndices from "../../types/RowIndices";
interface TableSectionProps {
    columnIndexStart?: number;
    columnIndices: ColumnIndices;
    headers: HeaderObject[];
    hoveredIndex: number | null;
    pinned?: Pinned;
    ref?: RefObject<HTMLDivElement | null>;
    rowHeight: number;
    rowIndices: RowIndices;
    setHoveredIndex: (index: number | null) => void;
    templateColumns: string;
    totalHeight: number;
    visibleRows: TableRowType[];
    width?: number;
}
declare const TableSection: ({ columnIndexStart, columnIndices, headers, hoveredIndex, pinned, ref, rowHeight, rowIndices, setHoveredIndex, templateColumns, totalHeight, visibleRows, width, }: TableSectionProps) => import("react/jsx-runtime").JSX.Element | null;
export default TableSection;
