import CellValue from "../../../types/CellValue";
import EnumOption from "../../../types/EnumOption";
interface EditableCellProps {
    enumOptions?: EnumOption[];
    onChange: (newValue: CellValue) => void;
    setIsEditing: (isEditing: boolean) => void;
    type?: "string" | "number" | "boolean" | "date" | "enum";
    value: CellValue;
}
declare const EditableCell: ({ enumOptions, onChange, setIsEditing, type, value, }: EditableCellProps) => import("react/jsx-runtime").JSX.Element;
export default EditableCell;
