import { TableFilterState, FilterCondition } from "../types/FilterTypes";
import Row from "../types/Row";
interface UseTableFiltersProps {
    rows: Row[];
}
interface UseTableFiltersReturn {
    filters: TableFilterState;
    filteredRows: Row[];
    handleApplyFilter: (filter: FilterCondition) => void;
    handleClearFilter: (accessor: string) => void;
    handleClearAllFilters: () => void;
}
export declare const useTableFilters: ({ rows }: UseTableFiltersProps) => UseTableFiltersReturn;
export {};
