import { HeaderObject } from "..";
import { HandleResizeStartProps } from "../types/HandleResizeStartProps";
/**
 * Handler for when resize dragging starts
 */
export declare const handleResizeStart: ({ event, gridColumnEnd, gridColumnStart, header, headers, setHeaders, startWidth, }: HandleResizeStartProps) => void;
/**
 * Recalculate widths for all sections (left, right, main)
 */
export declare const recalculateAllSectionWidths: ({ headers, }: {
    headers: HeaderObject[];
}) => {
    leftWidth: number;
    rightWidth: number;
    mainWidth: number;
};
