/// <reference types="react" />
import TableCellProps from "../../types/TableCellProps";
interface CellProps {
    borderClass: string;
    colIndex: number;
    header: TableCellProps["header"];
    isHighlighted: boolean;
    isInitialFocused: boolean;
    nestedIndex: number;
    rowIndex: number;
    visibleRow: TableCellProps["visibleRow"];
}
declare const TableCell: import("react").ForwardRefExoticComponent<CellProps & import("react").RefAttributes<HTMLDivElement>>;
export default TableCell;
