import type TableRowType from "../../types/TableRow";
import { Pinned } from "../../types/Pinned";
import HeaderObject from "../../types/HeaderObject";
import ColumnIndices from "../../types/ColumnIndices";
import RowIndices from "../../types/RowIndices";
interface TableRowProps {
    columnIndexStart?: number;
    columnIndices: ColumnIndices;
    gridTemplateColumns: string;
    headers: HeaderObject[];
    hoveredIndex: number | null;
    index: number;
    pinned?: Pinned;
    rowHeight: number;
    rowIndices: RowIndices;
    setHoveredIndex: (index: number | null) => void;
    visibleRow: TableRowType;
}
declare const TableRow: ({ columnIndices, columnIndexStart, gridTemplateColumns, headers, hoveredIndex, index, pinned, rowHeight, rowIndices, setHoveredIndex, visibleRow, }: TableRowProps) => import("react/jsx-runtime").JSX.Element;
export default TableRow;
