/// <reference types="react" />
export interface ScrollSyncContextValue {
    registerPane: (node: HTMLElement, groups: string[]) => void;
    unregisterPane: (node: HTMLElement, groups: string[]) => void;
}
export declare const ScrollSyncContext: import("react").Context<ScrollSyncContextValue | undefined>;
export declare const useScrollSyncContext: () => ScrollSyncContextValue;
