import HeaderObject from "../types/HeaderObject";
import { Pinned } from "../types/Pinned";
import { RowId } from "../types/RowId";
export declare const getCellId: ({ accessor, rowIndex }: {
    accessor: string;
    rowIndex: number;
}) => string;
export declare const displayCell: ({ header, pinned }: {
    header: HeaderObject;
    pinned?: Pinned | undefined;
}) => true | null;
export declare const getCellKey: ({ rowId, accessor }: {
    rowId: RowId;
    accessor: string;
}) => string;
