import { HeaderObject } from "..";
/**
 * Find all leaf headers (headers without children) in a header tree
 */
export declare const findLeafHeaders: (header: HeaderObject) => HeaderObject[];
/**
 * Get actual width of a header in pixels
 */
export declare const getHeaderWidthInPixels: (header: HeaderObject) => number;
/**
 * Convert fractional widths to pixel values
 */
export declare const removeAllFractionalWidths: (header: HeaderObject) => void;
/**
 * Calculate the minimum width for a header
 */
export declare const getHeaderMinWidth: (header: HeaderObject) => number;
